"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ACMClient_1 = require("./ACMClient");
var AddTagsToCertificateCommand_1 = require("./commands/AddTagsToCertificateCommand");
var DeleteCertificateCommand_1 = require("./commands/DeleteCertificateCommand");
var DescribeCertificateCommand_1 = require("./commands/DescribeCertificateCommand");
var ExportCertificateCommand_1 = require("./commands/ExportCertificateCommand");
var GetCertificateCommand_1 = require("./commands/GetCertificateCommand");
var ImportCertificateCommand_1 = require("./commands/ImportCertificateCommand");
var ListCertificatesCommand_1 = require("./commands/ListCertificatesCommand");
var ListTagsForCertificateCommand_1 = require("./commands/ListTagsForCertificateCommand");
var RemoveTagsFromCertificateCommand_1 = require("./commands/RemoveTagsFromCertificateCommand");
var RenewCertificateCommand_1 = require("./commands/RenewCertificateCommand");
var RequestCertificateCommand_1 = require("./commands/RequestCertificateCommand");
var ResendValidationEmailCommand_1 = require("./commands/ResendValidationEmailCommand");
var UpdateCertificateOptionsCommand_1 = require("./commands/UpdateCertificateOptionsCommand");
var ACM = /** @class */ (function (_super) {
    tslib_1.__extends(ACM, _super);
    function ACM() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ACM.prototype.addTagsToCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsToCertificateCommand_1.AddTagsToCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.deleteCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCertificateCommand_1.DeleteCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.describeCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCertificateCommand_1.DescribeCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.exportCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ExportCertificateCommand_1.ExportCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.getCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCertificateCommand_1.GetCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.importCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ImportCertificateCommand_1.ImportCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.listCertificates = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListCertificatesCommand_1.ListCertificatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.listTagsForCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForCertificateCommand_1.ListTagsForCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.removeTagsFromCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTagsFromCertificateCommand_1.RemoveTagsFromCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.renewCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RenewCertificateCommand_1.RenewCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.requestCertificate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RequestCertificateCommand_1.RequestCertificateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.resendValidationEmail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ResendValidationEmailCommand_1.ResendValidationEmailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ACM.prototype.updateCertificateOptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateCertificateOptionsCommand_1.UpdateCertificateOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ACM;
}(ACMClient_1.ACMClient));
exports.ACM = ACM;
//# sourceMappingURL=ACM.js.map