"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteCertificate_1 = require("../model/operations/DeleteCertificate");
var DeleteCertificateCommand = /** @class */ (function () {
    function DeleteCertificateCommand(input) {
        this.input = input;
        this.model = DeleteCertificate_1.DeleteCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteCertificateCommand;
}());
exports.DeleteCertificateCommand = DeleteCertificateCommand;
//# sourceMappingURL=DeleteCertificateCommand.js.map