"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ExportCertificate_1 = require("../model/operations/ExportCertificate");
var ExportCertificateCommand = /** @class */ (function () {
    function ExportCertificateCommand(input) {
        this.input = input;
        this.model = ExportCertificate_1.ExportCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ExportCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ExportCertificateCommand;
}());
exports.ExportCertificateCommand = ExportCertificateCommand;
//# sourceMappingURL=ExportCertificateCommand.js.map