"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetCertificate_1 = require("../model/operations/GetCertificate");
var GetCertificateCommand = /** @class */ (function () {
    function GetCertificateCommand(input) {
        this.input = input;
        this.model = GetCertificate_1.GetCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetCertificateCommand;
}());
exports.GetCertificateCommand = GetCertificateCommand;
//# sourceMappingURL=GetCertificateCommand.js.map