"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ImportCertificate_1 = require("../model/operations/ImportCertificate");
var ImportCertificateCommand = /** @class */ (function () {
    function ImportCertificateCommand(input) {
        this.input = input;
        this.model = ImportCertificate_1.ImportCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ImportCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ImportCertificateCommand;
}());
exports.ImportCertificateCommand = ImportCertificateCommand;
//# sourceMappingURL=ImportCertificateCommand.js.map