"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListCertificates_1 = require("../model/operations/ListCertificates");
var ListCertificatesCommand = /** @class */ (function () {
    function ListCertificatesCommand(input) {
        this.input = input;
        this.model = ListCertificates_1.ListCertificates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListCertificatesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListCertificatesCommand;
}());
exports.ListCertificatesCommand = ListCertificatesCommand;
//# sourceMappingURL=ListCertificatesCommand.js.map