"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTagsForCertificate_1 = require("../model/operations/ListTagsForCertificate");
var ListTagsForCertificateCommand = /** @class */ (function () {
    function ListTagsForCertificateCommand(input) {
        this.input = input;
        this.model = ListTagsForCertificate_1.ListTagsForCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTagsForCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTagsForCertificateCommand;
}());
exports.ListTagsForCertificateCommand = ListTagsForCertificateCommand;
//# sourceMappingURL=ListTagsForCertificateCommand.js.map