"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RenewCertificate_1 = require("../model/operations/RenewCertificate");
var RenewCertificateCommand = /** @class */ (function () {
    function RenewCertificateCommand(input) {
        this.input = input;
        this.model = RenewCertificate_1.RenewCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RenewCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RenewCertificateCommand;
}());
exports.RenewCertificateCommand = RenewCertificateCommand;
//# sourceMappingURL=RenewCertificateCommand.js.map