"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RequestCertificate_1 = require("../model/operations/RequestCertificate");
var RequestCertificateCommand = /** @class */ (function () {
    function RequestCertificateCommand(input) {
        this.input = input;
        this.model = RequestCertificate_1.RequestCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RequestCertificateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RequestCertificateCommand;
}());
exports.RequestCertificateCommand = RequestCertificateCommand;
//# sourceMappingURL=RequestCertificateCommand.js.map