"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ResendValidationEmail_1 = require("../model/operations/ResendValidationEmail");
var ResendValidationEmailCommand = /** @class */ (function () {
    function ResendValidationEmailCommand(input) {
        this.input = input;
        this.model = ResendValidationEmail_1.ResendValidationEmail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ResendValidationEmailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ResendValidationEmailCommand;
}());
exports.ResendValidationEmailCommand = ResendValidationEmailCommand;
//# sourceMappingURL=ResendValidationEmailCommand.js.map