"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RequestCertificateInput_1 = require("../shapes/RequestCertificateInput");
var RequestCertificateOutput_1 = require("../shapes/RequestCertificateOutput");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InvalidDomainValidationOptionsException_1 = require("../shapes/InvalidDomainValidationOptionsException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RequestCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RequestCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RequestCertificateInput_1.RequestCertificateInput
    },
    output: {
        shape: RequestCertificateOutput_1.RequestCertificateOutput
    },
    errors: [
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InvalidDomainValidationOptionsException_1.InvalidDomainValidationOptionsException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        }
    ]
};
//# sourceMappingURL=RequestCertificate.js.map