"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DomainList_1 = require("./_DomainList");
var _DomainValidationOptionList_1 = require("./_DomainValidationOptionList");
var _CertificateOptions_1 = require("./_CertificateOptions");
exports.RequestCertificateInput = {
    type: "structure",
    required: ["DomainName"],
    members: {
        DomainName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ValidationMethod: {
            shape: {
                type: "string"
            }
        },
        SubjectAlternativeNames: {
            shape: _DomainList_1._DomainList
        },
        IdempotencyToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DomainValidationOptions: {
            shape: _DomainValidationOptionList_1._DomainValidationOptionList
        },
        Options: {
            shape: _CertificateOptions_1._CertificateOptions
        },
        CertificateAuthorityArn: {
            shape: {
                type: "string",
                min: 20
            }
        }
    }
};
//# sourceMappingURL=RequestCertificateInput.js.map