"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DomainList_1 = require("./_DomainList");
var _DomainValidationList_1 = require("./_DomainValidationList");
var _InUseList_1 = require("./_InUseList");
var _RenewalSummary_1 = require("./_RenewalSummary");
var _KeyUsageList_1 = require("./_KeyUsageList");
var _ExtendedKeyUsageList_1 = require("./_ExtendedKeyUsageList");
var _CertificateOptions_1 = require("./_CertificateOptions");
exports._CertificateDetail = {
    type: "structure",
    required: [],
    members: {
        CertificateArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        DomainName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        SubjectAlternativeNames: {
            shape: _DomainList_1._DomainList
        },
        DomainValidationOptions: {
            shape: _DomainValidationList_1._DomainValidationList
        },
        Serial: {
            shape: {
                type: "string"
            }
        },
        Subject: {
            shape: {
                type: "string"
            }
        },
        Issuer: {
            shape: {
                type: "string"
            }
        },
        CreatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        IssuedAt: {
            shape: {
                type: "timestamp"
            }
        },
        ImportedAt: {
            shape: {
                type: "timestamp"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        RevokedAt: {
            shape: {
                type: "timestamp"
            }
        },
        RevocationReason: {
            shape: {
                type: "string"
            }
        },
        NotBefore: {
            shape: {
                type: "timestamp"
            }
        },
        NotAfter: {
            shape: {
                type: "timestamp"
            }
        },
        KeyAlgorithm: {
            shape: {
                type: "string"
            }
        },
        SignatureAlgorithm: {
            shape: {
                type: "string"
            }
        },
        InUseBy: {
            shape: _InUseList_1._InUseList
        },
        FailureReason: {
            shape: {
                type: "string"
            }
        },
        Type: {
            shape: {
                type: "string"
            }
        },
        RenewalSummary: {
            shape: _RenewalSummary_1._RenewalSummary
        },
        KeyUsages: {
            shape: _KeyUsageList_1._KeyUsageList
        },
        ExtendedKeyUsages: {
            shape: _ExtendedKeyUsageList_1._ExtendedKeyUsageList
        },
        CertificateAuthorityArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        RenewalEligibility: {
            shape: {
                type: "string"
            }
        },
        Options: {
            shape: _CertificateOptions_1._CertificateOptions
        }
    }
};
//# sourceMappingURL=_CertificateDetail.js.map