"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ACMClient_1 = require("../../ACMClient");
var ListCertificatesCommand_1 = require("../../commands/ListCertificatesCommand");
var GetCertificateCommand_1 = require("../../commands/GetCertificateCommand");
describe("@aws-sdk/client-acm-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListCertificates should succeed when given correct input", function (done) {
        var client = new ACMClient_1.ACMClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listCertificates = new ListCertificatesCommand_1.ListCertificatesCommand({});
        client
            .send(listCertificates)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("GetCertificate should fail when given bad input", function (done) {
        var client = new ACMClient_1.ACMClient({
            region: defaultRegion,
            credentials: credentials
        });
        var getCertificate = new GetCertificateCommand_1.GetCertificateCommand({
            CertificateArn: "arn:aws:acm:region:123456789012:certificate/12345678-1234-1234-1234-123456789012"
        });
        client
            .send(getCertificate)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map